> For the complete documentation index, see [llms.txt](https://docs.bird.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/api/channels-api/supported-channels/programmable-whatsapp/whatsapp-isv-integration/setting-up-your-customer-workspaces/api-access.md).

# API Access

Firstly to complete the integration with your platform you will need to set up permissions and access keys

1. Create an [access policy](https://docs.bird.com/api/api-access/access-policies) or multiple policies. To onboard a customer at a minimum this should cover the following permissions

<table data-header-hidden><thead><tr><th width="303.29296875">Description</th><th width="88.953125">Action</th><th>Resource</th></tr></thead><tbody><tr><td>Description</td><td>Action</td><td>Resource</td></tr><tr><td>Add WhatsApp tech provider information to your organization</td><td>Create</td><td>/organizations/<strong>{{orgId}}/</strong>platforms/whatsapp/actions/setupTechProvider</td></tr><tr><td>Get organization configuration keys</td><td>View</td><td>/organizations/<strong>{{orgId}}/</strong>configurations/groups/features/keys/*</td></tr><tr><td>Create customer workspaces</td><td>Create</td><td>/organizations/<strong>{{orgId}}</strong>/workspaces</td></tr><tr><td>Find a phone number to purchase</td><td>View</td><td>/workspaces/*/numbers-stock-items</td></tr><tr><td>Buy a phone number</td><td>Create</td><td>/workspaces/*/numbers</td></tr><tr><td>List customer phone numbers</td><td>View</td><td>/workspaces/*/numbers-long-code</td></tr><tr><td>Create a connector</td><td>Create</td><td>/workspaces/*/connectors</td></tr><tr><td>Create a webhook subscription</td><td>Create</td><td>/workspaces/*/webhook-subscriptions</td></tr></tbody></table>

{% hint style="warning" %}
**Note:** Replace {{orgId}} with your organization id. The wildcard (\*) means access to any resource e.g. all workspaces. If you want to create a policy for a specific resource, replace the wildcard with the specific resource UUID (e.g. workspace id)
{% endhint %}

To find your organisation id go to Settings>Account>Organization

![](https://lh7-us.googleusercontent.com/HVXXaWz5kwj1N8ctDm28Uxx92y0gSqRjdZioga6iODzAWmby2-lHfMUcu9PchNxsCTJnVj7powuc8GCD0dAbpiWST2VsLiFMgsUeCg9iC8HUu3_e-QeyzO2e7vBLfj6gCJVy5pTpLpmh3I28_JshhJ4)

2. Once you have created an access policy you will need to attach this to [access role](https://docs.bird.com/api/api-access/access-roles)
3. Finally you will need to create a new [access key ](https://docs.bird.com/api/api-access/api-authorization#creating-an-access-key)and attach the role to it
4. To create and manage access keys programmatically you can see more [here](/api/accounts-api.md)

{% content-ref url="/pages/bXV27mFahWZZ6po9GSgW" %}
[Associating your Facebook solution ID and business ID with your Bird CRM Organization](/api/channels-api/supported-channels/programmable-whatsapp/whatsapp-isv-integration/setting-up-your-customer-workspaces/associating-your-facebook-solution-id-and-business-id-with-your-bird-crm-organization.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bird.com/api/channels-api/supported-channels/programmable-whatsapp/whatsapp-isv-integration/setting-up-your-customer-workspaces/api-access.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
